Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.util
Class Direction

    java.lang.Object
      |
      +--ccl.util.Enum
            |
            +--ccl.util.Direction

public class Direction
extends Enum

Constant pool. Specifies EAST, WEST, CENTER etc.

Field Summary
`static Direction` | `CENTER`
`static Direction` | `EAST`
`static Direction` | `NORT`
`static Direction` | `NORTHEAST`
`static Direction` | `NORTHWEST`
`static Direction` | `SOUTH`
`static Direction` | `SOUTHEAST`
`static Direction` | `SOUTHWEST`
`static Direction` | `WEST`

Constructor Summary
`protected` | `Direction(java.lang.String sName_)`

Methods inherited from class ccl.util.Enum
`elements, get, get, intValue, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WEST

    public static final Direction WEST

See Also:
  `GridBagConstraints`

### EAST

    public static final Direction EAST

See Also:
  `GridBagConstraints`

### NORT

    public static final Direction NORT

See Also:
  `GridBagConstraints`

### SOUTH

    public static final Direction SOUTH

See Also:
  `GridBagConstraints`

### CENTER

    public static final Direction CENTER

See Also:
  `GridBagConstraints`

### NORTHEAST

    public static final Direction NORTHEAST

See Also:
  `GridBagConstraints`

### NORTHWEST

    public static final Direction NORTHWEST

See Also:
  `GridBagConstraints`

### SOUTHEAST

    public static final Direction SOUTHEAST

See Also:
  `GridBagConstraints`

### SOUTHWEST

    public static final Direction SOUTHWEST

See Also:
  `GridBagConstraints`

Constructor Detail

### Direction

    protected Direction(java.lang.String sName_)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD